# nodehandler-json

## About

This module installs the JSON flow-node to be used within [Axway API Builder's](https://www.axway.com/en/datasheet/axway-api-builder)
flow editor. The flow-node provides two methods:

### Stringify
The Stringify method converts a JavaScript value to a JSON string.

| Param | Type | Required | Description |
| --- | --- | --- | --- |
| value | any | y | The JavaScript value to be JSON encoded. |
| space | number/string | | A string or number that's used to insert white space into the output JSON string for readability purposes. If this is a number, it indicates the number of space characters to use as white space; this number is capped at 10. If this is a string, its maximum length is 10;  the string is used as white space. If this parameter is not provided, no white space is used. |


### Parse
The Parse method parses a JSON string constructing the JavaScript value or object described by the string.

| Param | Type | Required | Description |
| --- | --- | --- | --- |
| json | string | y | The JSON string to parse. |


## Getting started

1. Go to [platform.axway.com](https://platform.axway.com) and create an account
1. Install [API Builder](https://docs.axway.com/bundle/API_Builder_allOS_en/page/api_builder.html)
1. Follow the [Getting Started Guide](https://docs.axway.com/bundle/API_Builder_allOS_en/page/api_builder_getting_started_guide.html)

## Install

After creating your API Builder project (`appc new -t arrow`), you can install this flow-node handler
using npm:

```
npm install --save nodehandler-json
```

The "JSON" flow-node will then be available in the tools panel when creating or editing Flows.
